Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network85.5.0.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
85.5.0.0
Broadcast address
85.5.15.255
First usable
85.5.0.1
Last usable
85.5.15.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 55050000 · Integer 1426391040 to 1426395135
Reverse DNS zones
0.5.85.in-addr.arpa
1.5.85.in-addr.arpa
2.5.85.in-addr.arpa
3.5.85.in-addr.arpa
4.5.85.in-addr.arpa
5.5.85.in-addr.arpa
6.5.85.in-addr.arpa
7.5.85.in-addr.arpa
8.5.85.in-addr.arpa
9.5.85.in-addr.arpa
10.5.85.in-addr.arpa
11.5.85.in-addr.arpa
12.5.85.in-addr.arpa
13.5.85.in-addr.arpa
14.5.85.in-addr.arpa
15.5.85.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010101.00000101.00000000.0000000085.5.0.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network01010101.00000101.00000000.0000000085.5.0.0
Broadcast01010101.00000101.00001111.1111111185.5.15.255
Split into smaller subnets/27

85.5.0.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
185.5.0.0/2785.5.0.1 to 85.5.0.3085.5.0.3130
285.5.0.32/2785.5.0.33 to 85.5.0.6285.5.0.6330
385.5.0.64/2785.5.0.65 to 85.5.0.9485.5.0.9530
485.5.0.96/2785.5.0.97 to 85.5.0.12685.5.0.12730
585.5.0.128/2785.5.0.129 to 85.5.0.15885.5.0.15930
685.5.0.160/2785.5.0.161 to 85.5.0.19085.5.0.19130
785.5.0.192/2785.5.0.193 to 85.5.0.22285.5.0.22330
885.5.0.224/2785.5.0.225 to 85.5.0.25485.5.0.25530
985.5.1.0/2785.5.1.1 to 85.5.1.3085.5.1.3130
1085.5.1.32/2785.5.1.33 to 85.5.1.6285.5.1.6330
1185.5.1.64/2785.5.1.65 to 85.5.1.9485.5.1.9530
1285.5.1.96/2785.5.1.97 to 85.5.1.12685.5.1.12730
1385.5.1.128/2785.5.1.129 to 85.5.1.15885.5.1.15930
1485.5.1.160/2785.5.1.161 to 85.5.1.19085.5.1.19130
1585.5.1.192/2785.5.1.193 to 85.5.1.22285.5.1.22330
1685.5.1.224/2785.5.1.225 to 85.5.1.25485.5.1.25530
1785.5.2.0/2785.5.2.1 to 85.5.2.3085.5.2.3130
1885.5.2.32/2785.5.2.33 to 85.5.2.6285.5.2.6330
1985.5.2.64/2785.5.2.65 to 85.5.2.9485.5.2.9530
2085.5.2.96/2785.5.2.97 to 85.5.2.12685.5.2.12730
2185.5.2.128/2785.5.2.129 to 85.5.2.15885.5.2.15930
2285.5.2.160/2785.5.2.161 to 85.5.2.19085.5.2.19130
2385.5.2.192/2785.5.2.193 to 85.5.2.22285.5.2.22330
2485.5.2.224/2785.5.2.225 to 85.5.2.25485.5.2.25530
2585.5.3.0/2785.5.3.1 to 85.5.3.3085.5.3.3130
2685.5.3.32/2785.5.3.33 to 85.5.3.6285.5.3.6330
2785.5.3.64/2785.5.3.65 to 85.5.3.9485.5.3.9530
2885.5.3.96/2785.5.3.97 to 85.5.3.12685.5.3.12730
2985.5.3.128/2785.5.3.129 to 85.5.3.15885.5.3.15930
3085.5.3.160/2785.5.3.161 to 85.5.3.19085.5.3.19130
3185.5.3.192/2785.5.3.193 to 85.5.3.22285.5.3.22330
3285.5.3.224/2785.5.3.225 to 85.5.3.25485.5.3.25530
3385.5.4.0/2785.5.4.1 to 85.5.4.3085.5.4.3130
3485.5.4.32/2785.5.4.33 to 85.5.4.6285.5.4.6330
3585.5.4.64/2785.5.4.65 to 85.5.4.9485.5.4.9530
3685.5.4.96/2785.5.4.97 to 85.5.4.12685.5.4.12730
3785.5.4.128/2785.5.4.129 to 85.5.4.15885.5.4.15930
3885.5.4.160/2785.5.4.161 to 85.5.4.19085.5.4.19130
3985.5.4.192/2785.5.4.193 to 85.5.4.22285.5.4.22330
4085.5.4.224/2785.5.4.225 to 85.5.4.25485.5.4.25530
4185.5.5.0/2785.5.5.1 to 85.5.5.3085.5.5.3130
4285.5.5.32/2785.5.5.33 to 85.5.5.6285.5.5.6330
4385.5.5.64/2785.5.5.65 to 85.5.5.9485.5.5.9530
4485.5.5.96/2785.5.5.97 to 85.5.5.12685.5.5.12730
4585.5.5.128/2785.5.5.129 to 85.5.5.15885.5.5.15930
4685.5.5.160/2785.5.5.161 to 85.5.5.19085.5.5.19130
4785.5.5.192/2785.5.5.193 to 85.5.5.22285.5.5.22330
4885.5.5.224/2785.5.5.225 to 85.5.5.25485.5.5.25530
4985.5.6.0/2785.5.6.1 to 85.5.6.3085.5.6.3130
5085.5.6.32/2785.5.6.33 to 85.5.6.6285.5.6.6330
5185.5.6.64/2785.5.6.65 to 85.5.6.9485.5.6.9530
5285.5.6.96/2785.5.6.97 to 85.5.6.12685.5.6.12730
5385.5.6.128/2785.5.6.129 to 85.5.6.15885.5.6.15930
5485.5.6.160/2785.5.6.161 to 85.5.6.19085.5.6.19130
5585.5.6.192/2785.5.6.193 to 85.5.6.22285.5.6.22330
5685.5.6.224/2785.5.6.225 to 85.5.6.25485.5.6.25530
5785.5.7.0/2785.5.7.1 to 85.5.7.3085.5.7.3130
5885.5.7.32/2785.5.7.33 to 85.5.7.6285.5.7.6330
5985.5.7.64/2785.5.7.65 to 85.5.7.9485.5.7.9530
6085.5.7.96/2785.5.7.97 to 85.5.7.12685.5.7.12730
6185.5.7.128/2785.5.7.129 to 85.5.7.15885.5.7.15930
6285.5.7.160/2785.5.7.161 to 85.5.7.19085.5.7.19130
6385.5.7.192/2785.5.7.193 to 85.5.7.22285.5.7.22330
6485.5.7.224/2785.5.7.225 to 85.5.7.25485.5.7.25530
6585.5.8.0/2785.5.8.1 to 85.5.8.3085.5.8.3130
6685.5.8.32/2785.5.8.33 to 85.5.8.6285.5.8.6330
6785.5.8.64/2785.5.8.65 to 85.5.8.9485.5.8.9530
6885.5.8.96/2785.5.8.97 to 85.5.8.12685.5.8.12730
6985.5.8.128/2785.5.8.129 to 85.5.8.15885.5.8.15930
7085.5.8.160/2785.5.8.161 to 85.5.8.19085.5.8.19130
7185.5.8.192/2785.5.8.193 to 85.5.8.22285.5.8.22330
7285.5.8.224/2785.5.8.225 to 85.5.8.25485.5.8.25530
7385.5.9.0/2785.5.9.1 to 85.5.9.3085.5.9.3130
7485.5.9.32/2785.5.9.33 to 85.5.9.6285.5.9.6330
7585.5.9.64/2785.5.9.65 to 85.5.9.9485.5.9.9530
7685.5.9.96/2785.5.9.97 to 85.5.9.12685.5.9.12730
7785.5.9.128/2785.5.9.129 to 85.5.9.15885.5.9.15930
7885.5.9.160/2785.5.9.161 to 85.5.9.19085.5.9.19130
7985.5.9.192/2785.5.9.193 to 85.5.9.22285.5.9.22330
8085.5.9.224/2785.5.9.225 to 85.5.9.25485.5.9.25530
8185.5.10.0/2785.5.10.1 to 85.5.10.3085.5.10.3130
8285.5.10.32/2785.5.10.33 to 85.5.10.6285.5.10.6330
8385.5.10.64/2785.5.10.65 to 85.5.10.9485.5.10.9530
8485.5.10.96/2785.5.10.97 to 85.5.10.12685.5.10.12730
8585.5.10.128/2785.5.10.129 to 85.5.10.15885.5.10.15930
8685.5.10.160/2785.5.10.161 to 85.5.10.19085.5.10.19130
8785.5.10.192/2785.5.10.193 to 85.5.10.22285.5.10.22330
8885.5.10.224/2785.5.10.225 to 85.5.10.25485.5.10.25530
8985.5.11.0/2785.5.11.1 to 85.5.11.3085.5.11.3130
9085.5.11.32/2785.5.11.33 to 85.5.11.6285.5.11.6330
9185.5.11.64/2785.5.11.65 to 85.5.11.9485.5.11.9530
9285.5.11.96/2785.5.11.97 to 85.5.11.12685.5.11.12730
9385.5.11.128/2785.5.11.129 to 85.5.11.15885.5.11.15930
9485.5.11.160/2785.5.11.161 to 85.5.11.19085.5.11.19130
9585.5.11.192/2785.5.11.193 to 85.5.11.22285.5.11.22330
9685.5.11.224/2785.5.11.225 to 85.5.11.25485.5.11.25530
9785.5.12.0/2785.5.12.1 to 85.5.12.3085.5.12.3130
9885.5.12.32/2785.5.12.33 to 85.5.12.6285.5.12.6330
9985.5.12.64/2785.5.12.65 to 85.5.12.9485.5.12.9530
10085.5.12.96/2785.5.12.97 to 85.5.12.12685.5.12.12730
10185.5.12.128/2785.5.12.129 to 85.5.12.15885.5.12.15930
10285.5.12.160/2785.5.12.161 to 85.5.12.19085.5.12.19130
10385.5.12.192/2785.5.12.193 to 85.5.12.22285.5.12.22330
10485.5.12.224/2785.5.12.225 to 85.5.12.25485.5.12.25530
10585.5.13.0/2785.5.13.1 to 85.5.13.3085.5.13.3130
10685.5.13.32/2785.5.13.33 to 85.5.13.6285.5.13.6330
10785.5.13.64/2785.5.13.65 to 85.5.13.9485.5.13.9530
10885.5.13.96/2785.5.13.97 to 85.5.13.12685.5.13.12730
10985.5.13.128/2785.5.13.129 to 85.5.13.15885.5.13.15930
11085.5.13.160/2785.5.13.161 to 85.5.13.19085.5.13.19130
11185.5.13.192/2785.5.13.193 to 85.5.13.22285.5.13.22330
11285.5.13.224/2785.5.13.225 to 85.5.13.25485.5.13.25530
11385.5.14.0/2785.5.14.1 to 85.5.14.3085.5.14.3130
11485.5.14.32/2785.5.14.33 to 85.5.14.6285.5.14.6330
11585.5.14.64/2785.5.14.65 to 85.5.14.9485.5.14.9530
11685.5.14.96/2785.5.14.97 to 85.5.14.12685.5.14.12730
11785.5.14.128/2785.5.14.129 to 85.5.14.15885.5.14.15930
11885.5.14.160/2785.5.14.161 to 85.5.14.19085.5.14.19130
11985.5.14.192/2785.5.14.193 to 85.5.14.22285.5.14.22330
12085.5.14.224/2785.5.14.225 to 85.5.14.25485.5.14.25530
12185.5.15.0/2785.5.15.1 to 85.5.15.3085.5.15.3130
12285.5.15.32/2785.5.15.33 to 85.5.15.6285.5.15.6330
12385.5.15.64/2785.5.15.65 to 85.5.15.9485.5.15.9530
12485.5.15.96/2785.5.15.97 to 85.5.15.12685.5.15.12730
12585.5.15.128/2785.5.15.129 to 85.5.15.15885.5.15.15930
12685.5.15.160/2785.5.15.161 to 85.5.15.19085.5.15.19130
12785.5.15.192/2785.5.15.193 to 85.5.15.22285.5.15.22330
12885.5.15.224/2785.5.15.225 to 85.5.15.25485.5.15.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses